commit:     f710b83c668c8405368235e04f90dbacb91e8860
Author:     Bertrand Jacquin <bertrand <AT> jacquin <DOT> bzh>
AuthorDate: Sat Mar 18 15:28:47 2017 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Thu May 25 21:08:19 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f710b83c

dev-python/python-efl: version bump.

See: https://sourceforge.net/p/enlightenment/mailman/message/35295082/

Package-Manager: Portage-2.3.3, Repoman-2.3.1
Closes: https://github.com/gentoo/gentoo/pull/4238

 dev-python/python-efl/Manifest                 |  1 +
 dev-python/python-efl/python-efl-1.18.0.ebuild | 61 ++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/dev-python/python-efl/Manifest b/dev-python/python-efl/Manifest
index c5b71b0cda2..a2fd4cca880 100644
--- a/dev-python/python-efl/Manifest
+++ b/dev-python/python-efl/Manifest
@@ -1 +1,2 @@
 DIST python-efl-1.17.0.tar.xz 8835228 SHA256 
9ea0fe0938bd4a970206b2b18f46f4d2a4fd1994e9b5f84af2d5f9fa98739179 SHA512 
ff610dbacf72853b6c8fb1dcd41451f97156845efeb67a2d5d6c35d9b20c0f024c145a26a579f675bc2ad5844c23e58d8b21a09374aa195174f1a0c6316c0de4
 WHIRLPOOL 
0ee05c0cb175128c4719883a4c362ce4b3f98a93a7d960e47be2fa60a375748fc89599a111277d77a44caa9c96ad509d5b1c14c1ebafeb739461914560f2b4ed
+DIST python-efl-1.18.0.tar.xz 8927932 SHA256 
1751e119c3fc4ee842c00ae3d667d6bda88d92eff424b06a31e9407db8ee225d SHA512 
c1fc8d4129c2ac61b367ad373ad676a60cf0aed4c9150104d7e81bf464c44a3a5ae555d2298bbf1bdf6a3d6ba3b7d934af390e36755a1516972db2675d920c2b
 WHIRLPOOL 
cb5e9df770b4dd5fae78b6e7ba0ff8e593f9fa5c1ee098a5976250e2b44e3c428b57ef58dd184abd50beef29af1c08574b8f84be4e3ce06218580f6e559e068a

diff --git a/dev-python/python-efl/python-efl-1.18.0.ebuild 
b/dev-python/python-efl/python-efl-1.18.0.ebuild
new file mode 100644
index 00000000000..cc8c0587849
--- /dev/null
+++ b/dev-python/python-efl/python-efl-1.18.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+
+MY_P=${P/_/-}
+
+if [[ "${PV}" == "9999" ]]; then
+       EGIT_SUB_PROJECT="bindings/python"
+       EGIT_URI_APPEND="${PN}"
+       
EGIT_REPO_URI="git://git.enlightenment.org/${EGIT_SUB_PROJECT}/${EGIT_URI_APPEND}.git"
+       inherit git-2
+else
+       
SRC_URI="https://download.enlightenment.org/rel/bindings/python/${MY_P}.tar.xz";
+fi
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for Enlightenment Fundation Libraries"
+HOMEPAGE="http://www.enlightenment.org";
+
+LICENSE="|| ( GPL-3 LGPL-3 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples"
+
+RDEPEND=">=dev-libs/efl-${PV}
+       >dev-python/dbus-python-0.83[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       >=dev-python/cython-0.21[${PYTHON_USEDEP}]
+       doc? (
+               media-gfx/graphviz[python]
+               dev-python/sphinx[${PYTHON_USEDEP}]
+       )
+       doc? ( >dev-python/sphinx-1.0[${PYTHON_USEDEP}] )"
+
+python_compile_all() {
+       if use doc; then
+               # Point sphinx to right location with built sources
+               sed -i 's|"../build/"+d|"'"${BUILD_DIR}"'/lib"|g' doc/conf.py 
|| die
+               esetup.py build_doc --build-dir "${S}"/build/doc/
+       fi
+}
+
+python_test() {
+       cd "${S}"/tests || die
+       # violates sandbox
+       rm -f ecore/test_09_file_download.py || die
+       sed -i 's:verbosity=1:verbosity=3:' 00_run_all_tests.py || die
+       ${PYTHON} 00_run_all_tests.py --verbose || die "Tests failed with 
${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && DOCS=( "${S}"/build/doc/html )
+       use examples && EXAMPLES=( examples/. )
+       distutils-r1_python_install_all
+}

Reply via email to